%global momorel 4

Summary: Twitux is a GTK+ Twitter client
Name: twitux
Version: 0.69
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Applications/Internet
URL: http://sourceforge.net/projects/twitux/
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: intltool
BuildRequires: pkgconfig
BuildRequires: dbus-devel
BuildRequires: gnome-keyring-devel
BuildRequires: libxml2-devel
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: GConf2-devel
BuildRequires: libcanberra-devel
BuildRequires: libsoup-devel
BuildRequires: libnotify-devel
BuildRequires: enchant-devel
BuildRequires: iso-codes

%description 
Twitux it's a free and open source GTK+ application for
Twitter.com. you can: Send status, View friend status and see what
they are doing , Send direct messages to your Twitter friends, GUI
notificactions when a friend update their status.. and more :)
#'

%prep
%setup -q

%build
%configure \
    --disable-schemas-install \
    --disable-scrollkeeper \
    --enable-dbus=yes \
    --enable-gnome-keyring=yes \
    --enable-spell=yes
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}


%post
rarian-sk-update
gtk-update-icon-cache -q -f -t /usr/share/icons/hicolor
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/twitux.schemas \
    > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/twitux.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/twitux.schemas \
      > /dev/null || :
fi

%postun
rarian-sk-update
gtk-update-icon-cache -q -f -t /usr/share/icons/hicolor

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/twitux.schemas
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/twitux.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/locale/*/*/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.69-4m)
- full rebuild for mo7 release

* Mon Dec 28 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.69-3m)
- delete __libtoolize hack

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.69-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Sep  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.69-1m)
- initial build
